Subject: [Curdle] [Errata Verified] RFC8709 (6164)

From: RFC Errata System <[email-masked]>
Date: Fri, 15 May 2020 23:32:56 -0700 (PDT)

The following errata report has been verified for RFC8709,
"Ed25519 and Ed448 Public Key Algorithms for the Secure Shell (SSH) Protocol". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6164

--------------------------------------
Status: Verified
Type: Editorial

Reported by: HARUYAMA Seigo <[email-masked]>
Date Reported: 2020-05-11
Verified by: Benjamin Kaduk (IESG)

Section: 6

Original Text
-------------
6.  Signature Format

   The "ssh-ed25519" key format has the following encoding:

   string  "ssh-ed25519"

   string  signature

   Here, 'signature' is the 64-octet signature produced in accordance
   with [RFC8032], Section 5.1.6.

   The "ssh-ed448" key format has the following encoding:

   string  "ssh-ed448"

   string  signature

   Here, 'signature' is the 114-octet signature produced in accordance
   with [RFC8032], Section 5.2.6.

Corrected Text
--------------
6.  Signature Format

   The "ssh-ed25519" signature format has the following encoding:

   string  "ssh-ed25519"

   string  signature

   Here, 'signature' is the 64-octet signature produced in accordance
   with [RFC8032], Section 5.1.6.

   The "ssh-ed448" signature format has the following encoding:

   string  "ssh-ed448"

   string  signature

   Here, 'signature' is the 114-octet signature produced in accordance
   with [RFC8032], Section 5.2.6.

Notes
-----
s/key format/signature format/

--------------------------------------
RFC8709 (draft-ietf-curdle-ssh-ed25519-ed448-11)
--------------------------------------
Title               : Ed25519 and Ed448 Public Key Algorithms for the Secure Shell (SSH) Protocol
Publication Date    : February 2020
Author(s)           : B. Harris, L. Velvindron
Category            : PROPOSED STANDARD
Source              : CURves, Deprecating and a Little more Encryption
Area                : Security
Stream              : IETF
Verifying Party     : IESG